package com.javaeye.dengyin2000.gwtmodel.client.convert;



/**
 * General purpose data type converter.  An object that implements this
 * interface can convert objects from one class to another.
 */
public interface IConverter
{
	/**
	 * Converts the given value to class c.
	 * 
	 * @param value
	 *            The value to convert
	 * @param c
	 *            The class of object to convert to
	 * @return The converted value
	 */
	Object convert(Object value, Class c);
}