package com.javaeye.dengyin2000.gwtmodel.client.ui;

import com.javaeye.dengyin2000.gwtmodel.client.convert.IConverter;
import com.javaeye.dengyin2000.gwtmodel.client.model.IModel;

/**
 * Widgets implemented this interface, can bind Object to them.
 * 
 * @author Denny deng.yin@gmail.com
 *
 */
public interface IPopulateWidget {
	void setModel(IModel model);
	void populateModel();
	IModel getModel();
	  /**
	   * Sets the widget's name.
	   * 
	   * @param name the widget's new name
	   */
	  void setName(String name);

	  /**
	   * Gets the widget's name.
	   * 
	   * @return the widget's name
	   */
	  String getName();
	  
	  IConverter getConverter();
}
